Financial Metrics Snapshot (Real-Time)
curl --request GET \
--url https://api.aisa.one/apis/v1/financial/financial-metrics/snapshot \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/financial/financial-metrics/snapshot"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/financial/financial-metrics/snapshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"snapshot": {
"ticker": "<string>",
"market_cap": 123,
"enterprise_value": 123,
"price_to_earnings_ratio": 123,
"price_to_book_ratio": 123,
"price_to_sales_ratio": 123,
"enterprise_value_to_ebitda_ratio": 123,
"enterprise_value_to_revenue_ratio": 123,
"free_cash_flow_yield": 123,
"peg_ratio": 123,
"gross_margin": 123,
"operating_margin": 123,
"net_margin": 123,
"return_on_equity": 123,
"return_on_assets": 123,
"return_on_invested_capital": 123,
"asset_turnover": 123,
"inventory_turnover": 123,
"receivables_turnover": 123,
"days_sales_outstanding": 123,
"operating_cycle": 123,
"working_capital_turnover": 123,
"current_ratio": 123,
"quick_ratio": 123,
"cash_ratio": 123,
"operating_cash_flow_ratio": 123,
"debt_to_equity": 123,
"debt_to_assets": 123,
"interest_coverage": 123,
"revenue_growth": 123,
"earnings_growth": 123,
"book_value_growth": 123,
"earnings_per_share_growth": 123,
"free_cash_flow_growth": 123,
"operating_income_growth": 123,
"ebitda_growth": 123,
"payout_ratio": 123,
"earnings_per_share": 123,
"book_value_per_share": 123,
"free_cash_flow_per_share": 123
}
}{
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"error": "Unauthorized",
"message": "Invalid API key provided"
}{
"error": "Payment Required",
"message": "This endpoint requires a paid subscription. Please upgrade your plan."
}{
"error": "Not Found",
"message": "Ticker XXXX not found"
}Financial Metrics
Financial Metrics Snapshot
The same ratio set, current values only — one row instead of a series.
GET
https://api.aisa.one/apis/v1/financial
/
financial-metrics
/
snapshot
Financial Metrics Snapshot (Real-Time)
The same ratio set as
get_financial_financial_metrics but current-only: one snapshot object of about 41 fields — market_cap, enterprise_value, price_to_earnings_ratio, price_to_book_ratio, price_to_sales_ratio, enterprise_value_to_ebitda_ratio, free_cash_flow_yield, peg_ratio, the margin and return ratios, and the liquidity ratios. Takes only ticker or cik, with no period argument. Use it to size up a company right now. For history, or to see whether a multiple is unusual for this company, use get_financial_financial_metrics.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ticker symbol of the company.
The Central Index Key (CIK) of the company. Can be used instead of ticker.
Response
Financial metrics snapshot response
Show child attributes
Show child attributes
⌘I